UbuntuUpdates.org

Package "libsndfile"

Name: libsndfile

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Sample programs that use libsndfile

Latest version: 1.0.31-1ubuntu1.1
Release: hirsute (21.04)
Level: security
Repository: universe

Links



Other versions of "libsndfile" in Hirsute

Repository Area Version
base universe 1.0.31-1ubuntu1
base main 1.0.31-1ubuntu1
security main 1.0.31-1ubuntu1.1
updates main 1.0.31-1ubuntu1.1
updates universe 1.0.31-1ubuntu1.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.0.31-1ubuntu1.1 2021-07-29 03:06:29 UTC

  libsndfile (1.0.31-1ubuntu1.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: heap buffer overflow in msadpcm_decode_block allows
    arbitrary code execution via crafted WAV file.
    - debian/patches/CVE-2021-3246.patch: upstream patch to src/ms_adpcm.c
      to validate samples per block
    - CVE-2021-3246

 -- Alex Murray <email address hidden> Tue, 27 Jul 2021 16:22:54 +0930

CVE-2021-3246 A heap buffer overflow vulnerability in msadpcm_decode_block of libsndfile 1.0.30 allows attackers to execute arbitrary code via a crafted WAV file.



About   -   Send Feedback to @ubuntu_updates